#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Config
%define		pnam	Tiny
Summary:	Config::Tiny - Read/Write .ini style files with as little code as possible
Summary(pl.UTF-8):	Config::Tiny - czytanie/zapisywanie plików w stylu .ini w minimalnym kodzie
Name:		perl-Config-Tiny
Version:	2.23
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Config/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	6c3bc610c4bc587e1441e651e01584ce
URL:		http://search.cpan.org/dist/Config-Tiny/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 3.30
BuildRequires:	perl-File-Temp >= 0.22
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Config::Tiny is a Perl class to read and write .ini style
configuration files with as little code as possible, reducing load
time and memory overhead. Memory usage is normally scoffed at in Perl,
but in my opinion should be at least kept in mind.

This module is primarily for reading human written files, and anything
we write shouldn't need to have documentation/comments. If you need
something with more power, move up to Config::Simple, Config::General
or one of the many other Config:: modules. To rephrase, Config::Tiny
does not preserve your comments, whitespace, or the order of your
config file.

%description -l pl.UTF-8
Config::Tiny to klasa Perla do odczytu i zapisu plików
konfiguracyjnych w stylu .ini przy użyciu tak małego kodu, jak to
możliwe, co zmniejsza czas ładowania i użycie pamięci. Użycie pamięci
jest zwykle wyśmiewane w Perlu, ale zdaniem autora powinno być
przynajmniej brane pod uwagę.

Ten moduł służy głównie do czytania plików napisanych przez ludzi i
wszystko co zapisujemy nie powinno potrzebować dokumentacji czy
komentarzy. Jeśli potrzebujemy czegoś o większych możliwościach,
można przerzucić się na Config::Simple, Config::General lub jeden z
wielu innych modułów Config::. Innymi słowy, Config::Tiny nie
zachowuje komentarzy, odstępów ani porządku w pliku konfiguracyjnym.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Config/Tiny.pm
%{_mandir}/man3/Config::Tiny.3pm*
%changelog
* Wed Nov 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Config-Tiny.git;a=log;h=master

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 871a141
- updated to 2.23

* Sun Feb 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 6c1449a
- unified Source URL, perl-Test-Simple version

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> ee49404
- up to 2.14

* Sun Dec 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 2fa9d7b
- updated to 2.13

* Tue Jan 20 2009 Elan Ruusamäe <glen@pld-linux.org> 057310e
- release 2

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 12ea286
- up to 2.12

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d7d7613
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ca49ccb
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 74b2b54
- updated to 2.10

* Tue May 16 2006 blaass <blaass@pld-linux.org> c8f40e1
- up to 2.07

* Mon Mar 13 2006 Maciej Pijanka <agaran@pld-linux.org> 771f5f8
- up to 2.05, rel 1 builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 4821441
- spaces->tabs
- formatting

* Wed Aug 11 2004 Jakub Bogusz <qboosh@pld-linux.org> 92c0a13
- pl

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> a5d3f44
- new

